First of all a warning: use PF_HP with caution!

This work is based upon a Diplomarbeit written on "Proteinfaltung und Alignment von Strukturen". It is an Eiffel (eiffel.com) implementation of protein folding in the twodimensional Hydrophobic-Polar Model.

This software implements a brute force algorithm and is therefore considered a prototype for experimental computations on protein folding I stress this: the algorithm has very long running times, even for short instances of problem input.

On the other hand it yields interesting results, e. g. unique optimal foldings. Which is otherwise impossible to achieve.

As Eiffel compiler evolves the goal of this project is to evolve, too.

The software has a full CPU load for multi-core CPUs. This achieves other software products, too, e. g. prime95.

It is possible to have a full CPU load for a longer time (CPU burn in Test). Cancellation of the software run is possible with the keyboard keys CTRL-C (german: STRG-C).

Once again: Use with caution!!!

Download pf_hp for Linux. 
$ cd Downloads/ 
$ chmod +x pf_hp 
$ ./pf_hp

Homepage: https://fierce-forest-49055.herokuapp.com/
Project repository: https://gitlab.com/gerrit.leder/pfhp-pf_hp-mt
